Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
[Java] Class Utilities

    java.lang.Object
      org.codehaus.groovy.tools.Utilities

    public abstract class Utilities
    extends Object

Various utility functions for use in the compiler.

Method Summary
`static String` | `eol()` Returns the end-of-line marker.
`static boolean` | `isJavaIdentifier(String name)` Tells if the given string is a valid Java identifier.
`static String` | `repeatString(String pattern, int repeats)` Returns a string made up of repetitions of the specified string.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### eol

    public static String eol()

  Returns the end-of-line marker.

### isJavaIdentifier

    public static boolean isJavaIdentifier(String name)

  Tells if the given string is a valid Java identifier.

### repeatString

    public static String repeatString(String pattern, int repeats)

  Returns a string made up of repetitions of the specified string.

Copyright © 2003-2010 The Codehaus. All rights reserved.